%define fefpcl_pkg      FJSVfefpcl-kmod-common

Name:		%{fefpcl_pkg}
Version:	6.0.1
Release:	1.el7
Summary:	HBA Blockage Function

License:	Proprietary
Group:		System Environment/Base

Packager:	FUJITSU LIMITED
Vendor:		FUJITSU LIMITED
URL:		http://www.fujitsu.com/

Source0:	%{fefpcl_pkg}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{fefpcl_pkg}-%{version}-%{release}-rpmbuildroot
BuildRequires:	rpm >= 4.11.1, kernel >= 3.10.0, kernel-devel >= 3.10.0, coreutils, bash, bzip2, tar, make, sed, gcc, binutils
ExclusiveOS:	Linux

%description
This package provides the FJSVfefpcl-RHEL7 command part.

%prep
%setup -n %{fefpcl_pkg}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/opt/FJSVfefpcl/etc
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/var/opt/FJSVfefpcl/log
mkdir -p $RPM_BUILD_ROOT/var/opt/FJSVfefpcl/run
mkdir -p $RPM_BUILD_ROOT/var/opt/FJSVfefpcl/lock
mkdir -p $RPM_BUILD_ROOT/var/crash/scripts
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system
mkdir -p $RPM_BUILD_ROOT/usr/lib/dracut/modules.d/99FJSVfefpcl
mkdir -p $RPM_BUILD_ROOT/usr/bin
install usr/bin/FJSVfefpcl_ctl                $RPM_BUILD_ROOT/usr/bin
install usr/lib/systemd/system/FJSVfefpcl.service                    $RPM_BUILD_ROOT/usr/lib/systemd/system
install usr/lib/dracut/modules.d/99FJSVfefpcl/module-setup.sh        $RPM_BUILD_ROOT/usr/lib/dracut/modules.d/99FJSVfefpcl
install usr/lib/dracut/modules.d/99FJSVfefpcl/parse-FJSVfefpcl.sh    $RPM_BUILD_ROOT/usr/lib/dracut/modules.d/99FJSVfefpcl
install etc/opt/FJSVfefpcl/alterpm.conf       $RPM_BUILD_ROOT/etc/opt/FJSVfefpcl
install usr/sbin/fefpcl                       $RPM_BUILD_ROOT/usr/sbin/fefpcl
touch                                         $RPM_BUILD_ROOT/var/opt/FJSVfefpcl/lock/.fefpcl.lock

%clean
rm -rf $RPM_BUILD_ROOT


# rpm -i:                     %pre, %post    : $1=1
# rpm -U: 1. new pkg: rpm -i: %pre, %post    : $1=2
#       : 2. old pkg: rpm -e: %preun, %postun: $1=1
# rpm -e:                     %preun, %postun: $1=0  
%post
/usr/bin/systemctl enable FJSVfefpcl.service
touch /etc/opt/FJSVfefpcl/hba_addr.conf
chmod 0600 /etc/opt/FJSVfefpcl/hba_addr.conf

%preun
/usr/bin/systemctl -q disable FJSVfefpcl.service

%postun
if [ -e "/etc/kdump.conf" ]; then
   touch /etc/kdump.conf
fi

%files
%defattr(-,root,root)
/etc/opt/FJSVfefpcl/
/var/opt/FJSVfefpcl/
%attr(755,-,-) /usr/bin/FJSVfefpcl_ctl
%attr(644,-,-) /usr/lib/systemd/system/FJSVfefpcl.service
%attr(755,-,-) /usr/lib/dracut/modules.d/99FJSVfefpcl/module-setup.sh
%attr(755,-,-) /usr/lib/dracut/modules.d/99FJSVfefpcl/parse-FJSVfefpcl.sh
%attr(600,-,-) /etc/opt/FJSVfefpcl/alterpm.conf
%attr(755,-,-) /usr/sbin/fefpcl
%attr(600,-,-) /var/opt/FJSVfefpcl/lock/.fefpcl.lock
/usr/lib/debug/usr/sbin/fefpcl.debug

%changelog

* Thu Jul 11 2019 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 7 and PRIMEQUEST 3000 Series. (BS01682)
- Retpoline support for speculative execution branch target injection (CVE-2017-5715).
* Thu Apr 13 2017 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 7. (BS01630)
- FJSVfefpcl supported PRIMEQUEST 3000 Series.
