%define fefpcl_pkg	FJSVfefpcl

Name:		%{fefpcl_pkg}
Version:	6.0.1
Release:	1.el7
Summary:	HBA Blockage Function

License:	GPLv2
Group:		System/Kernel

Packager:	FUJITSU LIMITED
Vendor:		FUJITSU LIMITED
URL:		http://www.fujitsu.com/

Source0:	%{fefpcl_pkg}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{fefpcl_pkg}-%{version}-build
BuildRequires:	%kernel_module_package_buildreqs
ExclusiveOS:	Linux

%description
This package provides the FJSVfefpcl-RHEL7 driver part.

%kernel_module_package


%prep
%setup
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
rm -rf obj/source
cp -r source obj
cd obj/source/driver
./bootstrap
make CDIR=%{kernel_source default} MDIR=$PWD
cd ..

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
cd obj/source/driver
make CDIR=%{kernel_source default} modules_install MDIR=$PWD
# Cleanup unnecessary kernel-generated module dependency files.
find $INSTALL_MOD_PATH/lib/modules -iname 'modules.*' -exec rm {} \;
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{name}/*
# if secure boot
   find $INSTALL_MOD_PATH/lib/modules -name '*.ko' -exec \
     /usr/src/kernels/%{kverrel}/scripts/sign-file sha256 \
     /usr/src/kernels/keys/priv/private_key.priv \
     /usr/src/kernels/keys/public_key.der {} \;
   find $INSTALL_MOD_PATH/lib/modules -name '*.ko' -exec modinfo {} \;
# endif
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%changelog

* Thu Jul 11 2019 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 7 and PRIMEQUEST 3000 Series. (BS01682)
- Retpoline support for speculative execution branch target injection (CVE-2017-5715).
* Thu Apr 13 2017 FUJITSU LIMITED
- Build for Red Hat Enterprise Linux 7. (BS01630)
- FJSVfefpcl supported PRIMEQUEST 3000 Series.
