Summary: A wrapper script for kdump_post directive
Name: FJSVkdump-post-wrapper
Version: 1.0
Release: 2%{?dist}
License: GPLv2
Group: System Environment/Base
Packager: FUJITSU LIMITED
Vendor: FUJITSU LIMITED
URL: http://www.fujitsu.com/
ExclusiveOS: Linux
ExclusiveArch: x86_64
Source0: kdump-post-wrapper.sh
Source1: call-executables.sh
Source2: kdump-post-wrapper.service
Source3: 98-kdump-post-wrapper.preset
%systemd_requires
Requires(posttrans): systemd

%description
kdump-post-wrapper provides kdump-post-wrapper script that wraps
kdump_post directive in /etc/kdump.conf and allows multiple users to
use kdump_post directive at the same time.

%post
%systemd_post kdump-post-wrapper.service

%preun
%systemd_preun kdump-post-wrapper.service

%postun
if [ $1 -eq 0 ] ; then
    TMPFILE=`mktemp --suffix=kdump-post-wrapper`
    KDUMP_POST_UUID="de529451-3d61-4698-a12e-9e5e5adf9854"

    found=0
    while read config_opt config_val; do
	case "$config_opt" in
	    kdump_post)
		case "$config_val" in
		    /usr/libexec/kdump-post-wrapper/call-executables.sh)
			found=1
			;;
		    *)
			echo "$config_opt $config_val" >>$TMPFILE
			;;
		esac
		;;
            *)
		echo "$config_opt $config_val" | grep -q -E ".*$KDUMP_POST_UUID.*"
		if [ $? -eq 0 ] ; then
		    found=1
		else
		    echo "$config_opt $config_val" >>$TMPFILE
		fi
		;;
	esac
    done < /etc/kdump.conf

    if [ $found -eq 1 ] ; then
	cp $TMPFILE /etc/kdump.conf
	sync
    fi
    rm -f $TMPFILE
fi

%posttrans
touch /etc/kdump.conf >/dev/null 2>&1 || :

%install
install -d -m 755 $RPM_BUILD_ROOT%{_libexecdir}/kdump-post-wrapper
install -d -m 755 $RPM_BUILD_ROOT%{_libexecdir}/kdump-post-wrapper/executables
install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{_libexecdir}/kdump-post-wrapper/kdump-post-wrapper.sh
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_libexecdir}/kdump-post-wrapper/call-executables.sh
install -d -m 755 $RPM_BUILD_ROOT%{_unitdir}/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_unitdir}/kdump-post-wrapper.service
install -d -m 755 $RPM_BUILD_ROOT%{_presetdir}
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_presetdir}/98-kdump-post-wrapper.preset

%files
%{_libexecdir}/kdump-post-wrapper/kdump-post-wrapper.sh
%{_libexecdir}/kdump-post-wrapper/call-executables.sh
%{_unitdir}/kdump-post-wrapper.service
%{_presetdir}/98-kdump-post-wrapper.preset

%changelog
* Mon Jun 9 2014 FUJITSU LIMITED
- Newly packaged for FJSVdumptools package (BS01576)
- Newly packaged for FJSVfefpcl package (BS01578)
