Summary: The OS Status Notification service and driver
Name: FJSVossn
Version: 1.0.1
Release: 0%{?dist}
License: GPLv2
Group: System Environment/Base
Source0: %{name}-1.0.0.tar.gz
Packager: FUJITSU LIMITED
Vendor: FUJITSU LIMITED
URL: http://www.fujitsu.com/
ExclusiveOS: Linux
ExclusiveArch: x86_64
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: kernel-devel, gcc, bash
Requires: coreutils dracut systemd kmod-%{name} FJSVkdump-post-wrapper ipmitool dmidecode
%systemd_requires
Requires(posttrans): systemd

%define kdump_config_file /etc/kdump.conf

Patch0: 0001-ossn.ko-set-system_index-to-Set-Host-System-Status-c.patch
Patch1: 0002-ossn.sh-calculate-system_index-and-set-it-to-ossn.ko.patch
Patch2: 0003-ossn.sh-dracut-set-system_index-to-Set-Host-Status-c.patch
Patch3: 0005-ossn.sh-fix-failure-of-accessing-array-in-get_suppor.patch
Patch4: 0006-Makefile-disable-verbose-mode-on-make.patch
Patch5: 0007-ossn.sh-fix-wrong-system_index-path.patch
Patch6: 0008-ipmi-fix-wrong-netfn-for-Start-sadump-Command.patch
Patch7: 0001-dracut.conf-fix-wrongly-configured-value-in-add_driv.patch
Patch8: 0001-ossn-mod-Add-40-second-wait-after-IPMI-Command-Start.patch
Patch9: 0002-ossn.sh-don-t-reset-BMC-watchdog-timer-if-there-is-a.patch

%description
This package provides the OS Status Notification service and its
driver.

%kernel_module_package

%prep
%setup -n %{name}-1.0.0

%patch0 -p2
%patch1 -p2
%patch2 -p2
%patch3 -p2
%patch4 -p2
%patch5 -p2
%patch6 -p2
%patch7 -p2
%patch8 -p2
%patch9 -p2

set -- *
mkdir source
mv "$@" source/
mkdir obj

%post
%systemd_post FJSVossn.service

%preun
%systemd_preun FJSVossn.service

%postun
if [ $1 -eq 0 ] ; then
  touch %kdump_config_file >/dev/null 2>&1 || :
fi

%posttrans
touch %kdump_config_file >/dev/null 2>&1 || :

%build
cd source/ossn
make CDIR=%{kernel_source default} MDIR=$PWD
cd ../../

%install
cd source/ossn
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
make CDIR=%{kernel_source default} MDIR=$PWD install
# Cleanup unnecessary kernel-generated module dependency files.
find $INSTALL_MOD_PATH/lib/modules -iname 'modules.*' -exec rm {} \;
# Sign kernel module files for Secure Boot Support
find $INSTALL_MOD_PATH/lib/modules -name '*.ko' -exec \
    /usr/src/kernels/%{kverrel}/scripts/sign-file sha256 \
    /usr/src/kernels/keys/priv/private_key.priv \
    /usr/src/kernels/keys/public_key.der {} \;
find $INSTALL_MOD_PATH/lib/modules -name '*.ko' -exec modinfo {} \;
cd ../../

%define src_moddir source/for-ossn-files/dracut/modules.d/99ossn
%define src_confdir source/for-ossn-files/dracut/dracut.conf.d
%define dest_moddir %{buildroot}/usr/lib/dracut/modules.d/99ossn
%define dest_confdir %{buildroot}/usr/lib/dracut/dracut.conf.d

install -m 755 -d %{buildroot}/var/local/FJSVossn
install -m 644 source/for-ossn-files/system_index %{buildroot}/var/local/FJSVossn/system_index
install -m 755 -d %{dest_moddir}
install -m 755 %{src_moddir}/module-setup.sh %{dest_moddir}/module-setup.sh
install -m 755 %{src_moddir}/set_system_status_dumping.sh %{dest_moddir}/set_system_status_dumping.sh
install -m 755 %{src_moddir}/00-set_system_status_halt.sh %{dest_moddir}/00-set_system_status_halt.sh
install -m 644 %{src_moddir}/ossn_lib.sh %{dest_moddir}/ossn_lib.sh
install -m 755 -d %{dest_confdir}
install -m 644 %{src_confdir}/99-ossn.conf %{dest_confdir}/99-ossn.conf
install -m 755 -d %{buildroot}/etc/logrotate.d
install -m 644 source/for-ossn-files/logrotate.d.FJSVossn %{buildroot}/etc/logrotate.d/FJSVossn
install -m 755 -d %{buildroot}%{_unitdir}
install -m 644 source/for-ossn-files/systemd/system/FJSVossn.service %{buildroot}%{_unitdir}/FJSVossn.service
install -m 755 -d %{buildroot}%{_presetdir}
install -m 644 source/for-ossn-files/systemd/system-preset/98-ossn.preset %{buildroot}%{_presetdir}/98-ossn.preset
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 source/ossn/ossn.sh %{buildroot}/usr/bin/ossn

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/var/local/FJSVossn/system_index
/usr/lib/dracut/modules.d/99ossn/module-setup.sh
/usr/lib/dracut/modules.d/99ossn/set_system_status_dumping.sh
/usr/lib/dracut/modules.d/99ossn/00-set_system_status_halt.sh
/usr/lib/dracut/modules.d/99ossn/ossn_lib.sh
/usr/lib/dracut/dracut.conf.d/99-ossn.conf
/etc/logrotate.d/FJSVossn
/usr/lib/systemd/system/FJSVossn.service
/usr/lib/systemd/system-preset/98-ossn.preset
/usr/bin/ossn

%changelog
* Mon Jul 9 2019 FUJITSU LIMITED - 1.0.1-0
- Retpoline support for speculative execution branch target injection (CVE-2017-5715). (BS01682)
- Fix failure of starting sadump when HBA blockage function fails on Extended Partition environment. (BS01682)
- Fix resetting watchdog timer for sadump command. (BS01682)
* Fri Nov 24 2017 FUJITSU LIMITED - 1.0.0-2
- Fix the wrongly configured value in add_drivers+= in the dracut.conf file. (BS01642)
* Tue Aug 8 2017 FUJITSU LIMITED - 1.0.0-1
- Add support of Extended Partitioning on PRIMEQUEST 3000 series E model. (BS01633)
* Fri Apr 21 2017 FUJITSU LIMITED - 1.0.0-0
- FJSVossn was newly packaged. (BS01630)
