#! /bin/sh

if [ ! -f /etc/kdump.conf ] ; then
    echo "/etc/kdump.conf not found" >&2
    exit 1
fi

KDUMP_POST_UUID="de529451-3d61-4698-a12e-9e5e5adf9854"

TMPFILE=`mktemp --suffix=kdump-post-wrapper`
exec 1<&-
exec 1>$TMPFILE

found=0
while read config_opt config_val; do
    case "$config_opt" in
	kdump_post)
	    case "$config_val" in
		/usr/libexec/kdump-post-wrapper/call-executables.sh)
		    found=1
		    echo "$config_opt $config_val"
		    ;;
		*)
		    echo "#$config_opt $config_val"
		    ;;
	    esac
	    ;;
        *)
	    echo "$config_opt $config_val"
	    ;;
    esac
done < /etc/kdump.conf

if [ $found -eq 0 ] ; then
    cat <<EOF
# This kdump_post directive was automatically inserted by            [$KDUMP_POST_UUID]
# kdump-post-wrapper.service. Please don't edit this line manually.  [$KDUMP_POST_UUID]
kdump_post /usr/libexec/kdump-post-wrapper/call-executables.sh
EOF

fi

exec 1<&-

if [ $found -eq 0 ] ; then
    cp $TMPFILE /etc/kdump.conf
    sync
fi
rm -f $TMPFILE

exit
